//#include "LTC681x.h"

#include <stdlib.h>    // malloc, free Լ   
#include <string.h>

#include "SEGGER_RTT.h"

#ifndef DTI_BMS_h
#define DTI_BMS_h

/************************************
  Set Functions (Custom)
*************************************/
/* LTC6811 Initialize */
void ltc6811_Init();

/* LTC6811 Cell data call, ADC */
void measurement_loop(uint8_t);

/* LTC6811 test */
void LTC6811_test();

/* Read LTC6811 data used RTT(Cell, Temp, Balance etc.. */
void readStatusBMS();

/* Read LTC6811 Cell data */
void readCell();

/* Read LTC6811 Temp data */
//void readTemp();

/* Control FET */
void dischargerFET(int8_t);

/* Control FET */
void dischargerClear();

/* Check/Start Cell balance */
void checkCell();
void startCellBalance();

/* Command Information print */
void commandInfo();
/************************************
  End Setup Functions
*************************************/


#endif

